This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 565997 - (CVE-2010-3444) CVE-2010-3444 pyfribidi: buffer overflow when processing Arabic UTF-8 strings
CVE-2010-3444 pyfribidi: buffer overflow when processing Arabic UTF-8 strings
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,source=debian,reporte...
: Security
Depends On: 565998
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-16 16:15 EST by Vincent Danen
Modified: 2015-07-29 09:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-02-16 16:15:47 EST
It was reported [1] that pyfribidi contains a buffer overflow in the log2vis_utf8() function due to the assumption that the string returned by fribidi_unicode_to_utf8() will be the same length as the original UTF-8 string.  Due to changes in fribidi 0.19.1, for the Arabic language this is not the case as the joining added in fribidi causes some of the original 2-byte UTF-8 sequences to be come 3-bytes long.

The upstream report also includes a patch that is supposed to correct the issue by increasing the size of the buffer passed to fribidi_unicode_to_utf8().

Due to Fedora 11 and 12 containing fribidi 0.19.2, this would affect Fedora.

[1] http://sourceforge.net/tracker/?func=detail&aid=2676136&group_id=158366&atid=807545
Comment 2 Vincent Danen 2010-10-01 16:03:48 EDT
This has been assigned the name CVE-2010-3444.

Note You need to log in before you can comment on or make changes to this bug.